package com.cf.imes.module.executor.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 生产单板件排单过滤类型
 *
 * @author Gqr
 * @since 2024/6/7 14:31
 */
@RequiredArgsConstructor
@Getter
public enum OrderPlateFilterTypeEnum {
    HAS_CUT_THROUGH_SHAPE(1, "有挖穿造型"),

    HAS_CUT_PUNCH(2, "有挖穿孔"),

    HAS_2D_KNIFE_PATHS(4, "有二维刀路"),

    STACKABLE(8, "可叠");

    /**
     * 类型编码
     */
    private final Integer code;

    /**
     * 描述
     */
    private final String desc;
}
